Subject: Re: [PATCH RFC net-next 00/12] Allow DSA drivers to set all phylink capabilities

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 3 Dec 2021 16:15:50 +0000

On Wed, Nov 24, 2021 at 05:46:01PM +0000, Russell King (Oracle) wrote:
> During the last cycle, I introduced a phylink_get_interfaces() method
> for DSA drivers to be able to fill out the supported_interfaces member
> of phylink_config. However, further phylink development allowing the
> validation hook to be greatly simplified became possible when a bitmask
> of MAC capabilities is used along with the supported_interfaces bitmap.
...

Hi all,

Patches 1 through 3, 6 and 8 have been merged, the rest have not.
Getting patches 4, 5, 7, 10 and 12 tested and reviewed would be great
please. These are ar9331, bcm_sf2, ksz8795, qca8k and xrs700x. Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!